dagsar_stub(1)

NAME
dagsar_stub - Stub program to test SAR features.

SYNOPSIS
dagsar_stub [options]

DESCRIPTION
dagsar_stub is a command line tool that provides an application layer around the SAR API and can be used to directly configure the AAL Reassembler.

OPTIONS

-d DEVICE

--device DEVICE
    DAG device to use

-h

-?

--help

--usage
    Display usage (help) information.

-v

--verbose
    Increase output verbosity.

-x

--rst
    Reset and start the IXP.

-s

--get-stats
    Get statistics.

-r

--reset-stats
    Reset statistics.

-z <seconds>

--scan <seconds>
    Run scanning mode.

-m

--no-erfmux
    Do not configure ERF-MUX.

--no-ixp
    No IXP in the data path. Line to the host.

--ixp-txrx
    IXP in transmit and receive data path. line->IXP->host/line, Host->IXP->line/host.

--ixp-rx
    IXP in receive datapath. Line->IXP->host/line, host->line.

-t

--strip-trailer
    Enable AAL5 trailer stripping (default).

-k

--dont-strip-trailer
    Disable AAL5 trailer stripping.

--forward-unconfigured
    Enable unconfigured ATM circuit forwarding.

--dont-forward-unconfigured
    Disable unconfigured ATM circuit forwarding (default).

-a

--activate
    Activate circuit.

-e

--deactivate
    Deactivate circuit.

-i

--cid-activate
    Activate CID.

-j

--cid-deactivate
    Deactive CID.

-0

--aal0
    Set SAR mode to AAL0.

-2

--aal2
    Set SAR mode to AAL2.

-5

--aal5
    Set SAR mode to AAL5.

-7

--aal0tx
    Set SAR mode to AAL0 TX.

-8

--aal2tx
    Set SAR mode to AAL2 TX.

-9

--aal5tx
    Set SAR mode to AAL5 TX.

-g

--getsar
    Get SAR mode.

-u

--uni
    Set net mode to UNI.

-n

--nni
    Set net mode to NNI.

-b

--reset-filter
    Clear bitmask filter (accept all).

-f <bitmask.match.action>

--filter <bitmask.match.action>
    Set bitmask filter.

-o <port>

--port <port>
    Set interface port to process.

-c <channel>

--channel <channel>
    Set Channel to process.

-p <vpi>

--vpi <vpi>
    Set vpi to process.

-q <vci>

--vci <vci>
    Set vci to process.

-w <cid>

--cid <cid>
    Set cid to process.

EXAMPLES
To scan for availabe virtual connection on the line:
    dagsar_stub -d0 -x -z5 -u

To configure the ATM connection to reassemble AAL5 SSSAR frames:
    dagsar_stub -d0 -p1 -q333 -5 -a

SEE ALSO
Endace SAR API Programming Guide.

BUGS
Report bugs to <support@endace.com>.

LAST UPDATED
$Author: wilson.zhu $
$Revision: 11645 $
$Date: 2009-07-27 16:00:29 +1200 (Mon, 27 Jul 2009) $

COPYRIGHT
(c) 2004-2009 Endace Technology, Hamilton, New Zealand. All Rights Reserved.